GET/smart-transfers/preauthorizations/{id}/payments

List preauthorization payments

Recovers all payments for a specific preauthorization, ordered by date descending

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Query Parameters

NameType
from
string (date)
to
string (date)
pageSize
number (double)
page
number (double)

Responses

200Retrieve a list of all payments for the preauthorization
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of payments

itemsobject

Smart transfer payment

Example response

json
{
  "page": 0,
  "total": 0,
  "totalPages": 0,
  "results": [
    {
      "id": "string",
      "preauthorizationId": "string",
      "status": "CONSENT_AUTHORIZED",
      "amount": 0,
      "description": "string",
      "recipient": null,
      "clientPaymentId": "string",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z",
      "errorDetail": {
        "code": "INFRASTRUCTURE_FAILURE",
        "description": "string",
        "detail": "string"
      }
    }
  ]
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/smart-transfers/preauthorizations/{id}/payments' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters
Query Parameters